Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047450
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] AEAT 303majoralways2021-07-23 12:082021-08-20 13:54
ReporterpsanjuanView Statuspublic 
Assigned Tojuabaez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0047450: New parameter required to solved issues related to "casilla 78" - Cuotas a compensar a aplicar en el periodo" + some changes

DescriptionNew parameter required to solved issues related to "casilla 78" - Cuotas a compensar de periodos previos a aplicadas en el periodo"

It also makes sense to better inform rest of parameters. See below.
Steps To ReproduceN/A
Proposed Solution(In spanish)

1.- Crear un nuevo parametro de entrada denominado

"[78] Cuotas a compensar de periodos anteriores aplicadas en este periodo".

Si el usuario refleja algún importe en este parámetro, dicho importe se reflejará en la casilla [78] del modelo 303. Este importe reflejará el importe e las cuotas pendientes de compensación que se quiere compensar en dicho periodo.

Este importe computará con el parámetro de entrada de la casilla [110], de modo que el contenido de la casilla [87] = [110]-[78]

2.- Además se van a modificar los nombres de los parámetros de entrada, tal y como se refleja en el siguiente listado:

Dentro del apartado " IVA Deducible"

[42] Compensación REAGYP (cuota)
[43] Regularización bienes inversión (cuota)
[44] Regularización por aplicación % definitivo prorrata(cuota)

Dentro del apartado "Liquidación":

[65] Atribuible a la Admin. del Estado (%)
[76] Regularización cuotas art.80.Cinco.5ªLIVA
[77] IVA Importación liquidado por Aduana pendiente de ingreso
[110] Cuotas a compensar pendientes periodos anteriores
[78] Cuotas a compensar aplicadas en este periodo (NUEVO)
[68] Resultado de la Regularización Anual
[70] A deducir (autoliquidación complementaria)

3. Renombrar el parámetro:

"Tributa exclusivamente a una administración tributaria Foral con IVA a la importación liquidado por la Aduana pendiente de ingreso"

como

"Tributa exclusivamente a una Admin.Foral con IVA importación liquidado pendiente de ingreso"

Mover este paramétro, antes del parámetro:"Inscrito en el Registro de Devolución Mensual" en la sección "Identificación"

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0047404 closedjuabaez Modelo 303 IVA a compensar 
has duplicate defect 0047412 closedjuabaez Implementación erronea de los campos de cuotas a compensar que se manifiesta tras firmar la declaración del 303, en Compensacion 

-  Notes
(0130900)
hgbot (developer)
2021-07-30 14:27

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.aeat303.es/-/merge_requests/9 [^]
(0130901)
juabaez (developer)
2021-07-30 14:30
edited on: 2021-08-23 09:26

Se han realizado pruebas tanto para el 303 trimestral como para el mensual.
Las pruebas realizadas se han realizado con todos los escenarios:
 1 - Ingreso con cuotas a compensar (resultado positivo y utilizamos el 100% del importe que tenemos a compensar).

 2 - Compensación (resultado positivo pero del cual no se ingresa nada ya que el importe a compensar cubre el 100% del resultado, pudiendo ser incluso superior la cuota a compensar por lo que no utilizamos toda).

 3 - Devolución (resultado negativo e información de cuotas a compensar que será utilizada en periodos posteriores).

 
También hemos realizado prueba con el check activo de REDEME

Además, hemos realizado pruebas con ejemplos de datos sin información en las casillas 110 y 78 (compensación).

Se han renombrado las casillas y se han incluido numeración de los mismos campos del módelo 303:
[42] Compensación REAGYP (cuota)
[43] Regularización bienes inversión (cuota)
[44] Regularización por aplicación % definitivo prorrata(cuota)
[65] Atribuible a la Admin. del Estado (%)
[76] Regularización cuotas art.80.Cinco.5ªLIVA
[77] IVA Importación liquidado por Aduana pendiente de ingreso
[110] Cuotas a compensar pendientes periodos anteriores
[78] Cuotas a compensar aplicadas en este periodo (NUEVO)
[68] Resultado de la Regularización Anual
[70] A deducir (autoliquidación complementaria)
"Tributa exclusivamente a una Admin.Foral con IVA importación liquidado pendiente de ingreso"

(0131233)
hgbot (developer)
2021-08-20 13:54

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.aeat303.es [^]
Changeset: 75ee872035d6d115ced7748d84b939c50ae04547
Author: Juan Baez <juan.baez@smfconsulting.es>
Date: 2021-08-20T11:54:17+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.aeat303.es/-/commit/75ee872035d6d115ced7748d84b939c50ae04547 [^]

Fixed ISSUE-47450 change parameters in dataset and change read new parameter

---
M referencedata/standard/303_Report_Tax_Parameters.xml
M src-db/database/sourcedata/AD_DATASET.xml
M src-db/database/sourcedata/AD_MODULE.xml
M src/org/openbravo/module/aeat303/es/report/v2021/AEAT303Report2021.java
---
(0131234)
hgbot (developer)
2021-08-20 13:54

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.aeat303.es/-/merge_requests/9 [^]

- Issue History
Date Modified Username Field Change
2021-07-23 12:08 psanjuan New Issue
2021-07-23 12:08 psanjuan Assigned To => Jorge Bravo
2021-07-23 12:09 psanjuan Relationship added related to 0047404
2021-07-23 12:10 psanjuan Relationship replaced has duplicate 0047404
2021-07-23 12:12 psanjuan Relationship added has duplicate 0047412
2021-07-23 12:13 psanjuan Proposed Solution updated
2021-07-23 12:24 psanjuan Proposed Solution updated
2021-07-23 12:29 psanjuan Proposed Solution updated
2021-07-23 12:29 psanjuan Proposed Solution updated
2021-07-23 12:30 psanjuan Summary New parameter required to solved issues related to "casilla 78" - Cuotas a compensar a aplicar en el periodo" => New parameter required to solved issues related to "casilla 78" - Cuotas a compensar a aplicar en el periodo" + some changes
2021-07-23 12:33 psanjuan Description Updated View Revisions
2021-07-23 12:33 psanjuan Proposed Solution updated
2021-07-23 12:41 Jorge Bravo Assigned To Jorge Bravo => juabaez
2021-07-26 19:13 juabaez Status new => scheduled
2021-07-26 20:12 juabaez Proposed Solution updated
2021-07-30 14:27 hgbot Note Added: 0130900
2021-07-30 14:30 juabaez Note Added: 0130901
2021-08-20 13:54 hgbot Resolution open => fixed
2021-08-20 13:54 hgbot Status scheduled => closed
2021-08-20 13:54 hgbot Note Added: 0131233
2021-08-20 13:54 hgbot Note Added: 0131234
2021-08-23 09:26 Jorge Bravo Note Edited: 0130901 View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker